%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           rsibreak
Version:        0.12.15
Release:        %mkrel 2
Summary:        Assists in the Recovery and Prevention of Repetitive Strain Injury
License:        GPLv2 and GFDL
Group:          Accessibility
URL:            https://userbase.kde.org/RSIBreak
Source0:        https://download.kde.org/stable/rsibreak/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  qttools5
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  gettext

Obsoletes:      plasma-applet-rsibreak < 0.11-8
Obsoletes:      plasma-engine-rsibreak < 0.11-8

%description
Repetitive Strain Injury is an illness which can occur as a result of
working with a mouse and keyboard. This utility can be used to remind
you to take a break now and then.

%files  -f %{name}.lang
%doc AUTHORS NEWS ChangeLog TODO
%license LICENSES/
%{_kf5_bindir}/%{name}
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_sysconfdir}/xdg/autostart/rsibreak_autostart.desktop
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/dbus-1/interfaces/org.%{name}.rsiwidget.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.12.15-2.mga10
+ Revision: 2216405
- Mageia 10 Mass Rebuild

* Sun Nov 13 2022 daviddavid <daviddavid> 0.12.15-1.mga9
+ Revision: 1907061
- new version: 0.12.15

* Wed Apr 06 2022 umeabot <umeabot> 0.12.13-4.mga9
+ Revision: 1846091
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.12.13-3.mga8
+ Revision: 1659761
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 0.12.13-2.mga8
+ Revision: 1588526
- switch appdata file to kf5_metainfo dir

* Sun Apr 19 2020 daviddavid <daviddavid> 0.12.13-1.mga8
+ Revision: 1569572
- new version: 0.12.13

* Sun Feb 16 2020 umeabot <umeabot> 0.12.11-2.mga8
+ Revision: 1535078
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Oct 10 2019 daviddavid <daviddavid> 0.12.11-1.mga8
+ Revision: 1451183
- new version: 0.12.11

* Mon Apr 01 2019 umeabot <umeabot> 0.12.9-2.mga7
+ Revision: 1384712
- Qt5 Rebuild

* Tue Oct 09 2018 daviddavid <daviddavid> 0.12.9-1.mga7
+ Revision: 1318880
- new version: 0.12.9

* Sun Sep 23 2018 umeabot <umeabot> 0.12.8-2.mga7
+ Revision: 1300857
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 daviddavid <daviddavid> 0.12.8-1.mga7
+ Revision: 1200495
- new version: 0.12.8

* Sun Jul 02 2017 daviddavid <daviddavid> 0.12.7-1.mga6
+ Revision: 1108927
- new version: 0.12.7

* Sun Feb 26 2017 daviddavid <daviddavid> 0.12.6-1.mga6
+ Revision: 1087893
- new version: 0.12.6

* Sun Dec 18 2016 daviddavid <daviddavid> 0.12.5-1.mga6
+ Revision: 1075830
- new version: 0.12.5

* Tue Oct 11 2016 daviddavid <daviddavid> 0.12.4-1.mga6
+ Revision: 1060150
- new version: 0.12.4

* Tue May 31 2016 daviddavid <daviddavid> 0.12.3-1.mga6
+ Revision: 1019635
- new version: 0.12.3
- port to Qt5/KF5
- update URL and Source URL
- obsoletes no more provided plasma-(applet/engine)-rsibreak

* Wed Feb 03 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 933834
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 745060
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 688721
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 518157
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 380515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 17 2012 mikala <mikala> 0.11-2.mga2
+ Revision: 197387
- Fix group
- Fix license tag
- Update some descriptions
- Remove %%defattr() & %%clean section

* Mon Mar 07 2011 mikala <mikala> 0.11-1.mga1
+ Revision: 66046
- Update tarball to 0.11
+ jquelin <jquelin>
- imported package rsibreak


* Sun Jul 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10-1mdv2010.0
+ Revision: 397929
- Update to new version 0.10
- Remove cmake patch which is not needed anymore

* Sun Mar 15 2009 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-3mdv2009.1
+ Revision: 355556
- Fix build  against new KDE4
- Rebuild against new KDE4

* Mon Dec 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-2mdv2009.1
+ Revision: 317691
- Rebuild against kde 4.1.85

* Fri Nov 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 307336
- import rsibreak


